QNavigator

This tool is used for communication between TE and Quectel modules, you can send AT commands manually or automatically by it with serial port.

Brief

Main functions are listed as follows:

1. Home: Module initialize

2. SMS:Write, send, read and delete for SMS.

3. Voice Call: Set up voice call

4. TCP/UDP: EstablishTCP or UDP connection.

5. PPP: PPP dialup.

6. AT Command: Query for AT commands.

7. QuecLocator: Base station location.

8. QCOM: Send AT commands manually or automatically.

Note:

Make sure the port settings are right for normal use of this tool.

Some operation not include in functions can use the Input String to send AT commands.


main Interface

It will pop up serial parameter set window when use this tool for first time.

After set values for Port Setting successfully, will auto enter to Home page, details of each part are listed as below:

Menu Bar

File: Select to save Port Settings or AT Log.
Setting:System Configuration, including system setting, port setting, AT command manage, UART window show, clear information, log show in HEX.

Tool:Tools for using, including Calculator, Notebook, Device manager, DOS command line, Domain parse, HEX string trans, PDU string trans.

View: Switch to target function page,including Show Home page, Show SMS page, Show Voice Call page, Show TCP/UDP page, Show PPP page, Show AT Command page, Show QCOM page.

Help:Help document.

ToolBar

：Save all setting parameters.

：System settings like main interface display, the color of data sent and received display, log save path.

：Port setting.

：Input string.

：Savecurrent log.

：Clear all.

：Show in HEX.

：Link to Quectel website.

：Help.

Status Bar

Logfile: The log path and filename of saved data.
COM16,115200,8,1,NULL,NULL: Show the current serial port setting status.

DSR[1] CTS[1] RI[1] DCD[1]: Show the current pinstatus.

Input String

By clicking the icon [image] of the tool bar to switch to the Input string, as below:

Text:Set the command or data type as Text (default is Text).

Hex:Set the command or data type as Hex.

Special Chars: Set the command or data type as Special Chars.

File: Select the local file to upload.

Send With Enter: Set send content use Enter key.

Content: Input the command or data.

Send: Send the inputted command or data.

DTR: Set the DTR pin high level or low level.

RTS: Set flow control as none or HW control.

Note：

The Input string is opened by default. You can cancel it by click the icon [image] in tool bar.


Serial Port Setting

It will pop up serial port parameter set window when the first time to open QNavigator, or you can click the icon [image] in Tool bar, serial port parameter set as follow:

Port: The right dropdown box show all existent serial number, User can select the corresponding serial port.

Baudrate:Setup the baudrate, we recommend using 115200.

Data Bits:Setup the data bits for 4, 5, 6, 7or 8.

Stop Bits: Setup the stop bits for 1or 2.

Parity: Setup the parity for None, Odd, Even or CRC.

Flow Ctrl: Setup the flow control for none, SW ctrl or HW ctrl (default isNone).

After setup the Port, Baudrate, DataBits, StopBits, Parity, Flow Ctrl, click OK to save and exit the setting.

Notes:

You can save the current port settings by click icon [image] in tool Bar.


System Setting

Click icon [image] in tool bar, will pop up system parameter set window as in follows：

significance of each option:

Show maximized window when start: Enable/Disable showmaximize main interface when open QNavigator, If no selected, the main interface will show sizeaccording to the width and height you have set.

Show the time of send and received data: Enable/Disable show time of send and received data.

Show the send data to port: Enable/Disable show the data which send to port.

Show <CR><LF> : Enable/Disable show the characters (carriage return,line feed) explicitly.

Auto save log file path: Set whether save log automatically (including file name, path, size).

The color of sent data:Set the color of sent data.

The color of received data:Set the color of received data.

The color of data background:Set the background color of data area.


Home

It will auto switch to Home page after you have do normal settings of port and system.

Enable option Automatic Initialization and click button Connect to module will go to initialization process as in follows:

If the SIM card is locked, you should manually unlock it by using “AT+CPIN=<password>”.

It is recommended to use follow AT commands to initialize:

1. AT+IPR? // Query baudrate.

2. AT+IPR=115200// Use to set Fixed baudrate.

3. AT&W // Use to save all settings.

4. ATI // Query product identification information of module.

5. AT+GSN // Query the IMEI of module.

6. AT+CPIN? // Query SIM card status, locked or unlocked.

7. AT+CIMI // Query the IMSI of SIM card.

8. AT+QCCID // Query the ICCID of SIM card.

9. AT+CSQ //Query signal quality.

10. AT+CREG?// Query GSM network register status, +CREG: 0,1 or +CREG: 0,5 is registered successfully.

11. AT+CGREG? // Query GPRS network register status, +CGREG: 0,1 or +CGREG: 0,5 is registered successfully.

12. AT+COPS?// Query Operator selection.

Refer to document: <M10_ATC_V1.2.pdf>.


SMS

By clicking the SMS icon [image] in Function List will switch to SMS interface, as below:

Receiver：The number of the receiver.

Type：Character Mode,including GSM, 8bit data, UCS2, PDU.

Input mode：Input string mode (base on Type).

Send message：Click to send message.

Trans tool：Additional Tool to transfer codes automatically.

Index：SMS index(Auto show the index of selected).

Read：Read the details of SMS which you selected.

Read all：Read all received messages.

Delete：Delete the selected message.

Delete all：Delete all messages.

For SMS function, you should make sure the SIM card and network is ready for sending message.

1. AT+CPIN? // Query SIM card status, need password or not.

2. AT+CSQ // Query the current signal.

3. AT+CREG? // Query GSM network register status, +CREG: 0,1 or +CREG: 0,5 is registered successfully.

4. AT+CGREG? // Query GPRS network register status, +CGREG: 0,1 or +CGREG: 0,5 is registered successfully.

5. AT+QINISTAT // If the return value is not 3, can’t send message.

The SMS of text mode flow recommended as flow:

1. AT+CMGF=1 // Set message mode as text mode.

2. AT+CSCS="GSM" //SetTE charater as GSM (default setting), for English message, recommand to select “GSM” in most cases, and for other languages, it’s better to select “UCS2”.

3. AT+CSMP=17,167,0,0 //Set SMS parameters for text mode, if AT+CSCS=”GSM”, the last value recmommand 0, and 1 for AT+CSCS=”UCS2”.

4. AT+CMGS="18225893688" //Write SMS send to destination“18225893688”.

5. >Hello //Use Ctrl+Z (HEX: 0x1A) to send after input message.

6. +CMGS: <index> // Return +CMGS: <index> and OK after successfully sending message.

7. +CMTI: "SM",X // New message arrived, stored in SM storage, index is X.

8. AT+CMGR=X// Read message of index X.(AT+CMGR=X,1 // read message but not change status).

9. AT+CMGD=X//Delete SMS of index X.

The SMS of PDU mode flow recommended as flow:

1. AT+CMGF=0// Set message mode as PDU mode (default value).

2. AT+CMGS=20// Write SMS send to destination“18225893688” , 20 is SCA length in PDU string.

3. >0891683108501505F011000D91688122853986F800000005E8329BFD06 //Input PDU string.

4. +CMGS: <index> // Return +CMGS: <index> and OK after successfully sending message.

5. +CMTI: "SM",<index> // New message arrived, stored in SM storage, index is X.

6. AT+CMGR=X// Read message of index X.

7. AT+CMGD=X // Delete SMS of index X.

Refer to document <GSM_SMS_AN.pdf>


Voice Call

By clicking the Voice Call icon [image] in the function list will switch to Voice Callinterface, as below:

CALL: Set up MO Call (When call coming, this button will auto change to Answer).

OVER: Hand Up(When call coming, this button will auto change to Decline).

C: Cancel thelast input character，or delete all with press more than 2 sec.

Mute on: Mute microphone, only effective after call is active.

Silent mode: Enable/disable calm of Ring.

Channel get: Switch audio channel (default is Main).

Volume set: Set volume in current channel.Range is:0~10(default: 60 for Main, 40 for earphone, 36 forhandsfree).

Side tone gain: Set side tone gain level. Range is: 0~255.

Microphone gain: Set microphone gain level. Range is: 0 ~15.

The Voice Call flow recommended as flow:

1. AT+CPIN? // Query the SIM card status, locked or unlocked.

2. AT+CSQ // Query the current signal.

3. AT+CREG? // Query the GSM network register status, +CREG: 0,1 or +CREG: 0,5 is registered successfully.

4. AT+CGREG? // Query the GPRS network register status, +CGREG: 0,1 or +CGREG: 0,5 is registered successfully.

5. AT+QAUDCH=0 //Swap the audio channels (0 is normal audio, 1 is headset, 2 is loudspeaker).

6. AT+QMIC=0,8//Set the microphone gain level, first parameter is channel, second parameter is gain level.

7. AT+CLVL=60 //Channel volume ,Value scope:0～100

8. AT+CLCC //Query the status of calling process, it will return OK when there is no callconnection.

9. ATD<number>; // Dial for Voice call.

10. ATH //Disconnect current call.

Refer to document <Mxx_ATC.pdf>.


TCP/UDP

By clicking the TCP/UDP icon [image] in the function list will switch to the interface, as below:

Access Point Name: Set the APN.

IP Address: Show IP address after GPRS context is active.

User name: Set user name.

Password: Set password.

Authentication: Select the authentication type, PAP/CHAP/None, None is the default select.

PDP ACT: Act GPRS Context.

DEACT: Deact GPRS Context.

The data of send: The data need to be sent to remote server.

The data of received: The data received from remote server.

Operation steps reference to TCP/UDP establish connection process.

The status of TCP/UDP process:

We recommend AT commands as follow:

1. AT+CPIN? // Query the SIM card status, locked or unlocked.

2. AT+CSQ // Query the current signal.

3. AT+CREG? // Query the GSM network register status, +CREG: 0,1 or +CREG: 0,5 is registered successfully.

4. AT+CGREG? // Query the GPRS network register status, +CGREG: 0,1 or +CGREG: 0,5 is registered successfully.

5. AT+QIFGCNT=0//Set the context 0 as FGCNT.

6. AT+QICSGP=1, "CMNET"// Set APN as CMNET (CMNET is the APN for the network provider China-Mobile and it should be replaced with the APN by your network provider).

7. AT+QIMODE=0//Select TCPIP Stack mode, it is non-transparent mode when AT+QIMODE=0, and AT+QIMODE=1 is transparent (This tool only support non-transparent mode).

8. AT+QIREGAPP//Register the TCP/IP stack.

9. AT+QIACT// Active the GPRS Context.

10. AT+QILOCIP// Get the local IP address.

11. AT+QIHEAD=1// Add the header information when receive data.

12. AT+QIDNSIP=0//Set use IP address to establish TCP/UDP session.

13. AT+QIOPEN="TCP","61.190.19.174","8421"// establish TCP/UDP server after get the local IP address.

14. AT+QISEND// Send data to server, “>” from the UART indicates the following input data is considered as data to be send. After receiving “>”, input data (TEST), the maximum length of the data is 1460, the data beyond 1460 will be omitted. Then use <CTRL+Z> to send data. When receive SEND OK means the data has been sent.

15. AT+QICLOSE// Close the connecting of TCP/UDP.

16. AT+QIDEACT// Deactivate GPRS context.

Refer to document <GSM_TCPIP_AN.pdf>.


PPP

By clicking the PPP icon [image] in the function list will switch to the interface, as below:

Access Point Name: Set the APN.

User name: Set user name.

Password: Set password.

Authentication: Select the authentication type, PAP/CHAP/AUTO, AUTO is the default select.

IPVX: Select the IP protocol version. Default is IPV4.

DNS number: 0, 1, 2, means how many DNS you want to display.

Edit main command: You can edit the PDP context commands.

DIAL: After setup the APN, User name and User password, click the icon will establish the PPP connection. After successfully established, the obtained IP address, DNS1 and DNS2 will display.

Terminate: Click the icon will terminate the connection.

Stop: You can stop to establish the PPP connection only when the PPP is connecting.

Modem status: Show the status of DCD pin.

Clear content: Clear the content of modem status.

PPP Recommended Process：

The PPP flow recommended as flow:

1. AT+CPIN? // Query the SIM card status, locked or unlocked.

2. AT+CSQ // Query the current signal.

3. AT+CREG? // Query the GSM network register status, +CREG: 0,1 or +CREG: 0,5 is registered successfully.

4. AT+CGREG? // Query the GPRS network register status, +CGREG: 0,1 or +CGREG: 0,5 is registered successfully.

5. AT+CGDCONT=1,"IP","CMNET",0,0 // Set APN as CMNET (CMNET is the APN for the network provider China-Mobile and it should be replaced with the APN by your network provider).

6. ATD*99# // Use ATD*99# to dial up with defined PDP context.

7. +++ // Switch to command mode.

8. ATH // Terminate PPP dial.

Refer to document <GSM_PPP_Application_Note.pdf>.


QuecLocator

By clicking the QuecLocator icon [image] in the function list will switch to the interface, as below:

Access Point Name : The corresponding APN of the operator.

User name : The user name of the APN.

User password : The user password of the APN.

PDP ACT : Click the button to set and activate PDP context.

PDP DEACT : Click the button to deactivate PDP context.

GetPosition: Click the button to get the current position, the latitude and longitude will show in ReturnPosition, and also show it in map.

Import: Choose the log file to relocation, only used for relocation the current log you have saved before.

: Click the button to show the map in a bigger window.

Note:

The result show in Map by default, you can choose the Satellite to display.


AT Command

By clicking the AT Command icon [image] in the function list will switch to the interface, as below:

Hex express: Display the input or selected command in HEX.

With enter: Enable or disable send the command with Enter, the default is enabled.

Send: If select the With enter, click Send button means send command with Enter.


QCOM

By clicking the QCOM icon [image] in the function list will switch to the interface, as below:

Choose all commands: Choose all the commands for auto testing.

Hex: Select the commands show in HEX or not.

Delay: Set the delay time for the command.

Expected result: Set the expected result for the commands.

Clear all: Clear all in QCOM page.

LoadScript: select script to load in.

Save AsScript: Save the current commands as a script.

Run: Auto run commands which you choose. You can set the Cycle times and Intermittent time after click Run button.

Stop: Stop the auto running.


FAQ

Q1: Why need to do connect to module for initialization?

A: This tool is designed for easily used without AT commands, so it is necessary to do automatically checking test environment, to make sure the requirement is ready.

Q2: Why set AT+CMEE=2 in the initialization?

A: The error message is easy to understand without checking the error number when AT+CMEE=2.

Q3: Why displays the send data when send commands from Content?

A: It is useful for new user to familiar with the progress of data transmission. If you don’t want to show the send data, you can cancel it in System parameter set.

Q4: Why set AT+CPMS="SM","SM","SM" in the SMS function?

A: It is the default setting for SMS storage.

Q5: Why display S or R with time in log?

A: It is easy to distinguish the data between send and received when checking log file.


Manually send data

By clicking the icon [image] of the tool bar switch to the interface under Serial port sent and received data, as below:

Type: Setup the command or data type as Text, Hex or Special Chars.

File: Select the local file operation.

Send With Enter: Setup send content whether can via Enter key.

Content: Input the command or data.

Send: Send the command inputted or data.

DTR: Setup the DTR pin high level or low level.

RTS: Setup flow control as none or HW control.


System parameter setting

Clikc the menu Manipulation System set or click the icon of tool bar will pop up system parameter set window as follows：

significance of each option:

Show maximized window when start: Setup whether maximize main interface when tool boot, If no setting, the system according to the width and height value display.

Show the time of send and received data: Setup whether display the time of the sent and recievd data of serial port.

Auto save log file path: Setup whether save log file automatically and the auto save file path.

file name prefix: Setup the prefix of log file name, the suffix is automatically generated according to time.

limited File size: set the maximum capacity of a single log file.